org.eclipse.actf.visualization.eval.guideline

## Interface IGuidelineData

    public interface IGuidelineData

Interface for guideline data

See Also:
  `GuidelineHolder`

### Method Summary

Methods
`String` `getCategory()` Get category of this guideline item
`String` `getDescription()` Get description about this guideline item
`IGuidelineItem` `getGuidelineItem(String id)` Get guideline item information
`String` `getGuidelineName()` Get guideline name
`String[]` `getLevels()` Get levels of guideline (e.g., P1, P2, etc.)
`String` `getLevelStr()` Get level of this guideline item
`String[]` `getMIMEtypes()` Get corresponding content MIME types
`IGuidelineData` `getSubLevelData(String levelStr)` Get guideline information for specified level
`ITechniquesItem` `getTequniquesItem(String id)` Get Techniques item information
`boolean` `hasLevel()` Check if guideline has levels
`boolean` `isEnabled()` Check if this guideline is enabled by user
`boolean` `isMatched()` Check if current active content's MIME type is supported by this guideline
`boolean` `isTargetMIMEtype(String mimetype)` Check if target MIME type is supported by this guideline item

### Method Detail

#### getGuidelineItem

    IGuidelineItem getGuidelineItem(String id)

Get guideline item information

Parameters:
  `id` - target ID of guideline item
Returns:
  guideline item (`IGuidelineItem`), or null if not available

#### getTequniquesItem

    ITechniquesItem getTequniquesItem(String id)

Get Techniques item information

Parameters:
  `id` - target ID of Techniques item
Returns:
  guideline item (`ITechniquesItem`), or null if not available

#### getGuidelineName

    String getGuidelineName()

Get guideline name

Returns:
  guideline name

#### getLevels

    String[] getLevels()

Get levels of guideline (e.g., P1, P2, etc.)

Returns:
  levels of guideline

#### hasLevel

    boolean hasLevel()

Check if guideline has levels

Returns:
  true if guideline has levels

#### getMIMEtypes

    String[] getMIMEtypes()

Get corresponding content MIME types

Returns:
  corresponding content MIME types

#### isEnabled

    boolean isEnabled()

Check if this guideline is enabled by user

Returns:
  true if this guideline is enabled

#### isMatched

    boolean isMatched()

Check if current active content's MIME type is supported by this guideline

Returns:
  true if supported

#### getSubLevelData

    IGuidelineData getSubLevelData(String levelStr)

Get guideline information for specified level

Parameters:
  `levelStr` - target level
Returns:
  guideline information for specified level, or null if not available

#### getLevelStr

    String getLevelStr()

Get level of this guideline item

Returns:
  level as String

#### isTargetMIMEtype

    boolean isTargetMIMEtype(String mimetype)

Check if target MIME type is supported by this guideline item

Parameters:
  `mimetype` - target MIME type
Returns:
  true if supported

#### getCategory

    String getCategory()

Get category of this guideline item

Returns:
  category

#### getDescription

    String getDescription()

Get description about this guideline item

Returns:
  description